Bug 6595 - Add German translation for purchase suggestion mails
Summary: Add German translation for purchase suggestion mails
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Notices (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Target Milestone: ---
Assignee: Katrin Fischer
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-17 14:19 UTC by Katrin Fischer
Modified: 2012-10-25 23:09 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 6595: Add German translation of purchase suggestion mails (5.83 KB, patch)
2011-07-17 14:27 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 6595: Fixing German translation and address formatting (HOLD_PRINT) (3.80 KB, patch)
2011-07-17 15:21 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 6595: [SIGNED-OFF] Add German translation of purchase suggestion mails (5.85 KB, patch)
2011-09-02 09:44 UTC, Magnus Enger
Details | Diff | Splinter Review
Bug 6595: [SIGNED-OFF] Fixing German translation and address formatting (HOLD_PRINT) (3.82 KB, patch)
2011-09-02 09:46 UTC, Magnus Enger
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2011-07-17 14:19:31 UTC
Translate purchase suggestion mails in sample_notices.sql
Comment 1 Katrin Fischer 2011-07-17 14:27:51 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2011-07-17 15:21:49 UTC Comment hidden (obsolete)
Comment 3 Magnus Enger 2011-09-02 07:28:33 UTC
Patches apply cleanly. The only file affected is installer/data/mysql/de-DE/mandatory/sample_notices.sql. No problem loading the file into the databaase after the patches have been applied. 

But after the file has been loaded, letters with umlauts are displayed wrong: bald fällig werden. A problem with encoding, perhaps?
Comment 4 Magnus Enger 2011-09-02 09:44:06 UTC
Created attachment 5280 [details] [review]
Bug 6595: [SIGNED-OFF] Add German translation of purchase suggestion mails

Patches apply cleanly. Did a full German web install and the notices look OK. (My first failed test must have been the victime of something on my end...)

Signed-off-by: Magnus Enger <magnus@enger.priv.no>
Comment 5 Magnus Enger 2011-09-02 09:46:06 UTC
Created attachment 5282 [details] [review]
Bug 6595: [SIGNED-OFF] Fixing German translation and address formatting (HOLD_PRINT)

Patches apply cleanly. Did a full German web install and the notices look OK.
(My first failed test must have been the victime of something on my end...)

Signed-off-by: Magnus Enger <magnus@enger.priv.no>
Comment 6 Ian Walls 2011-09-02 11:53:50 UTC
Text only change to notices, easy to read (if you can read German, which I only sorta can), marking both as Passed QA

Cavaet:  the patches appear with correct Unicode on the patches list, but not as attachments here.  I assume this is because of the different viewing mechanisms, not because of any deficiency in encoding.
Comment 7 Chris Cormack 2011-09-02 18:50:57 UTC
Pushed, please test
Comment 8 Chris Nighswonger 2011-10-26 18:02:14 UTC
The fix for this bug was published in the 3.4.5 release. If you were the reporter of this bug, please take time to verify the fix and update the status of this bug report accordingly. If the bug is fixed to your satisfaction, please close this report.